org.openmuc.jositransport

## Interface TConnectionListener

All Known Implementing Classes:
  ServerAcseSap

    public interface TConnectionListener

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `connectionIndication(TConnection tConnection)`
`void` `serverStoppedListeningIndication(java.io.IOException e)` This function is only called when an IOException in ServerSocket.accept() occurred which was not forced using ServerTSAP.stopListening()

### Method Detail

#### connectionIndication

    void connectionIndication(TConnection tConnection)

#### serverStoppedListeningIndication

    void serverStoppedListeningIndication(java.io.IOException e)

This function is only called when an IOException in ServerSocket.accept() occurred which was not forced using ServerTSAP.stopListening()

Parameters:
  `e` - The IOException caught form ServerSocket.accept()